# @(#)log.tcl	1.5  97/12/23

# Copyright (c) Communications Research Centre, Government of Canada 1997. 
# All rights reserved.
# 
# License is granted to copy and use this software, for research and
# evaluation purposes, provided that the Communications Research Centre
# is acknowledged in all documentation pertaining to any such copy or
# use. The Communications Research Centre grants no other licenses
# expressed or implied. Title, ownership rights, and intellectual
# property rights in the software shall remain with the Communications
# Research Centre.  The Centre's name and the Government of Canada
# should not be used in any advertising without written permission.
# 
# THE COMMUNICATIONS RESEARCH CENTRE MAKES NO REPRESENTATIONS CONCERNING
# EITHER THE MERCHANTABILITY OF THIS SOFTWARE OR THE SUITABILITY OF
# THIS SOFTWARE FOR ANY PARTICULAR PURPOSE.  The software is provided
# "as is" without express or implied warranty of any kind.
# 
# These notices must be retained in any copies of any part of this
# software.
# 


# creates the data traffic monitor window

if {[winfo exists .logmain] != 0} {
   destroy .logmain
   }


toplevel .logmain
wm title .logmain "Activity Log for: $theme"

frame .logmain.top
pack .logmain.top -side "top"  -fill both -expand yes

text .logmain.top.textwin \
   -width 50 \
   -height 10 \
   -yscrollcommand ".logmain.top.scroll set" \
   -wrap "word" 

scrollbar .logmain.top.scroll \
   -orient vertical \
   -command ".logmain.top.textwin yview"
   
pack .logmain.top.scroll -side right -fill y
pack .logmain.top.textwin -expand yes -fill both

# bottom buttons are created now

frame .logmain.bottomframe
pack .logmain.bottomframe -side "bottom"  -fill  "x" -pady 3

button .logmain.bottomframe.dismiss \
   -text "Dismiss" \
   -command {destroy .logmain}
pack .logmain.bottomframe.dismiss -side  "right"

button .logmain.bottomframe.help \
   -text  "Help" \
    -command {helpme log}
pack .logmain.bottomframe.help -side right

